/*
** Module   : Dependent.java
** Abstract : API for a dependent object to receive status reporting
**
** Copyright (c) 2009, Golden Code Development Corporation.
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 GES 20090320 Provides an API for a dependent object to receive status
**                  reporting.
*/

/*
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU Affero General Public License as
** published by the Free Software Foundation, either version 3 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package com.goldencode.harness;

/**
 * Provides an API for a dependent object to receive status reporting.
 */
public interface Dependent
{
   /**
    * Reports on the disposition of an activity on which this object is
    * dependent.
    *
    * @param    status
    *           The status of the activity.
    * @param    reason
    *           Details on the cause of any failure.
    */
   public void update(Status status, String reason);
}
